Launching the new launcher! (Coming with 1.29 Manchu)

Launching the new launcher! (Coming with 1.29 Manchu)

  • Pre order now!

    Paradox Development Studio brings you the sequel to one of the most popular strategy games ever made! Crusader Kings III is soon upon us and you can pre order it today!


    Releasing September 1st 2020

BjornB

★Community Manager★
Administrator
Super Moderator
Moderator
Apr 2, 2012
4.736
12.898
  • Majesty 2 Collection
  • For the Motherland
  • Hearts of Iron III
  • Hearts of Iron III: Their Finest Hour
  • Heir to the Throne
  • Impire
  • King Arthur II
  • Knights of Pen and Paper +1 Edition
  • Lead and Gold
  • Leviathan: Warships
  • The Kings Crusade
  • Magicka
  • Majesty 2
  • For The Glory
  • March of the Eagles
  • Europa Universalis III Complete
  • Naval War: Arctic Circle
  • Europa Universalis IV: Res Publica
  • Victoria: Revolutions
  • Rome Gold
  • Semper Fi
  • Ship Simulator Extremes
  • Sword of the Stars
  • Sword of the Stars II
  • Starvoid
  • Crusader Kings II: Sword of Islam
  • Ancient Space
  • Arsenal of Democracy
  • Cities in Motion
  • Cities in Motion 2
  • Crusader Kings II
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • A Game of Dwarves
  • Commander: Conquest of the Americas
  • Darkest Hour
  • Deus Vult
  • Dungeonland
  • Europa Universalis III
  • Europa Universalis III Complete
  • Divine Wind
  • Europa Universalis IV
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Call to arms event
With the 1.29 Manchu Update we are upgrading EU4 to the Paradox Launcher! This new launcher will give us a great baseline which we will build on to add lots of new features to enrich your EU4 experience.

eu4_new_launcher.png

This new launcher will change how EU4 works with Mods - for example you are now able to disable or enable all mods with a click of a single button! The new launcher requires that you do one thing to transition from the old way mods work into the new system.

If the mods in your launcher looks like this:
mods in new launcher.png

Then all you need to do is navigate to "...\Documents\Paradox Interactive\Europa Universalis IV" and delete the folder called ‘mod’. (Make sure you backup this as there might be stuff you want to keep in there)

Steam should then reacquire your subbed mods in the new format and you are good to go just as you were before - but with a shiny new launcher!

If you are a modder yourself
There are some things you need to do to keep your mod working / create new mods going forwards. Please go here for more information!

For more help with troubleshooting, please go here!
 
Last edited:

BjornB

★Community Manager★
Administrator
Super Moderator
Moderator
Apr 2, 2012
4.736
12.898
  • Majesty 2 Collection
  • For the Motherland
  • Hearts of Iron III
  • Hearts of Iron III: Their Finest Hour
  • Heir to the Throne
  • Impire
  • King Arthur II
  • Knights of Pen and Paper +1 Edition
  • Lead and Gold
  • Leviathan: Warships
  • The Kings Crusade
  • Magicka
  • Majesty 2
  • For The Glory
  • March of the Eagles
  • Europa Universalis III Complete
  • Naval War: Arctic Circle
  • Europa Universalis IV: Res Publica
  • Victoria: Revolutions
  • Rome Gold
  • Semper Fi
  • Ship Simulator Extremes
  • Sword of the Stars
  • Sword of the Stars II
  • Starvoid
  • Crusader Kings II: Sword of Islam
  • Ancient Space
  • Arsenal of Democracy
  • Cities in Motion
  • Cities in Motion 2
  • Crusader Kings II
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • A Game of Dwarves
  • Commander: Conquest of the Americas
  • Darkest Hour
  • Deus Vult
  • Dungeonland
  • Europa Universalis III
  • Europa Universalis III Complete
  • Divine Wind
  • Europa Universalis IV
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Call to arms event
Further Troubleshooting:

If you have problems with steam re-downloading your mods you should try the following:
  1. Check if there is a steam workshop content download for Eu4 pending - if there is then start the download.
  2. Restart steam - this often works!
  3. Restart your PC - the good old off and on again fix works more than you might think...
If none of the above works then you can try:
  1. Go to steam and unsubscribe to the mod that isn’t being reacquired.
  2. Resubscribe to the mod - steam should then reacquire it.
If after trying all of the above you still can’t get mods to work then please submit a ticket here: support.paradoxplaza.com or visit our Technical Support Forum

If you are downloading your mods from the forum rather than through steam then the old method of copying the mod directly into the "...\Documents\Paradox Interactive\Europa Universalis IV\mod" will still work as before.


If the launcher fails to start or you cannot use it for any other reason, you can always run the game directly.

To do this, right-click on "Europa Universalid IV" in your Steam library, go to "Properties", switch to the "LOCAL FILES" tab and click "BROWSE LOCAL FILES...". This will take you to the folder where EUIV is installed. Double click "eu4.exe" (Windows), "eu4" (Linux) or "eu4.app" (macOS) and the game will start without using the launcher.
The default settings enable all DLCs you own. If you want to disable specific DLCs or enable Mods without using the launcher you will have to edit the file "dlc_load.json", usually located in "C:\Users\your_username\Documents\Paradox Interactive\Europa Universalis IV" (Windows), "~/.local/share/Paradox Interactive/Europa Universalis IV" (Linux) or "~/Documents/Paradox Interactive/Europa Universalis IV" (macOS).
To disable DLCs, add them to the "disabled_dlcs" list, to enable mods add them to the "enabled_mods" list.

"dlc_load.json" Example:
{
"disabled_dlcs":["dlc/dlc065_fredmans_midsummer_epistles/dlc065.dlc","dlc/dlc052_sabaton_soundtrack/dlc052.dlc"],
"enabled_mods":["mod/ugc_1792575623.mod"]
}
 
Last edited:

BjornB

★Community Manager★
Administrator
Super Moderator
Moderator
Apr 2, 2012
4.736
12.898
  • Majesty 2 Collection
  • For the Motherland
  • Hearts of Iron III
  • Hearts of Iron III: Their Finest Hour
  • Heir to the Throne
  • Impire
  • King Arthur II
  • Knights of Pen and Paper +1 Edition
  • Lead and Gold
  • Leviathan: Warships
  • The Kings Crusade
  • Magicka
  • Majesty 2
  • For The Glory
  • March of the Eagles
  • Europa Universalis III Complete
  • Naval War: Arctic Circle
  • Europa Universalis IV: Res Publica
  • Victoria: Revolutions
  • Rome Gold
  • Semper Fi
  • Ship Simulator Extremes
  • Sword of the Stars
  • Sword of the Stars II
  • Starvoid
  • Crusader Kings II: Sword of Islam
  • Ancient Space
  • Arsenal of Democracy
  • Cities in Motion
  • Cities in Motion 2
  • Crusader Kings II
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • A Game of Dwarves
  • Commander: Conquest of the Americas
  • Darkest Hour
  • Deus Vult
  • Dungeonland
  • Europa Universalis III
  • Europa Universalis III Complete
  • Divine Wind
  • Europa Universalis IV
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Call to arms event
[UPDATE: 09/18/19]

Instructions for Modders

Current mods will keep working with 1.29 (As long as they are not broken by in game changes we made). No action is required until the mod is updated. Mods uploaded with the new launcher will show up in the 1.28 launcher but will not work (Clicking on them has no effect).

Creating mods
- Open the launcher
- Got to "Mods"
- Click on "MOD TOOLS"
- Fill in all details (Note that "Version" specifies the mod version not "supported_version", that needs to be put into the descriptor manually)
- Click "CREATE MOD"
- The launcher will create the folder and two descriptors: "ModName.mod" in "mod/" and "descriptor.mod" inside the mod folder. "ModName.mod" is local only and will not be uploaded. What will be uploaded is "descriptor.mod" and any files inside the created folder. This is also what will be downloaded when subscribing (Plus the launcher-created descriptor, see "Good to know")
- This means that "ModName.mod" is just for convenience, anything that should end up at subscribers should be put into "descriptor.mod", that includes "supported_version", "tags", etc.


Uploading mods
- Open the launcher
- Got to "Mods"
- Click on "MOD TOOLS"
- Go to "Upload a mod" tab
- Select the mod you want to upload. All mods will be shown here, uploading any other than your own will fail with a credential error.
- Select "Steam Workshop" below "Upload to", "Paradox Mods" currently does not work for EUIV
- Enter a description and upload
- Set the mod public in its Steam Workshop page


Updating mods (improved version updated 20190926)
Currently most mods have one mod descriptor, usually ModName.mod. This is now split in two: ModName.mod which has the name entry and a path or archive entry only and descriptor.mod inside the mod folder, which has everything else. Updating them means creating this descriptor.mod and moving most things from ModName.mod into that. So essentially: Keep name and path or archive in your current .mod and move everything else into descriptor.mod inside the mod folder.
-If you have an issue with creating the descriptor file you should note that you can simply copy the content of the .mod file into the descriptor - this should not cause an issue.
-Remember that the descriptor.mod file should be inside the mod folder.
-If you get a credential error when attempting to upload a mod make sure you have something in the description section - you can simply put your current description from the workshop here. If your workshop description is to long for this then update the mod with anything in the description box and then add your full description later.
-Remember to select "Steam Workshop" in the "Upload a mod" tab, since "Paradox Mods" is not currently supported.

Good to know:
Currently mod zips show up in "C:/Users/user/Paradox Interactive/Europa Universalis IV/mod" after subscribing. This works slightly different now. Mod zips (Now named *.bin) will now stay in the Steam downloads folder (Something like "D:\SteamLibrary\steamapps\workshop\content\236850\217416366", but users should not have to care about this, it is handled by Steam exclusively and shouldn't be touched) and the "mod" folder will just contain "ugc_1234567.mod" files ("descriptors") that reference these downloaded files. The old way of copying mods into that folder will still work however.

If you have questions or want to discuss these changes with the modding community, please do so in the Modding subform here!
 
Last edited:

Lord Hoosier

Colonel
Mar 12, 2017
1.040
13
  • Crusader Kings II
  • Crusader Kings II: Holy Fury
  • March of the Eagles
  • Europa Universalis IV
  • Europa Universalis IV: Golden Century
  • Cities: Skylines Deluxe Edition
  • Cities: Skylines - Campus
  • Prison Architect
  • Stellaris: Galaxy Edition
  • Stellaris: Ancient Relics
  • Hearts of Iron IV: Colonel
  • Hearts of Iron IV: La Resistance
  • Imperator: Rome Deluxe Edition
  • Imperator: Rome - Magna Graecia
When does Manchu launch EST, and is this launcher update accompanied by it or already out?
 

magriboy0750

Colonel
Jun 27, 2018
801
54
  • Europa Universalis IV: Third Rome
  • Surviving Mars: Digital Deluxe Edition
  • Stellaris: Ancient Relics
  • Hearts of Iron IV: Cadet
  • Stellaris: Apocalypse
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis III: Collection
  • Hearts of Iron IV: Expansion Pass
  • Crusader Kings II: Way of Life
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Horse Lords
  • Europa Universalis IV: Cossacks
  • Crusader Kings II: Conclave
  • Stellaris: Distant Stars
  • Stellaris
  • Hearts of Iron IV: Expansion Pass
  • Hearts of Iron IV: Colonel
  • Crusader Kings II: Reapers Due
  • Europa Universalis IV: Rights of Man
  • Stellaris: Leviathans Story Pack
  • Hearts of Iron IV: Together for Victory
  • Crusader Kings II: Monks and Mystics
  • Europa Universalis IV: Dharma
  • Europa Universalis IV: Mandate of Heaven
  • Crusader Kings Complete
  • Surviving Mars
  • Hearts of Iron IV: Death or Dishonor
  • Imperator: Rome Deluxe Edition
  • Imperator: Rome
  • Imperator: Rome Sign Up
  • Age of Wonders: Planetfall
  • Age of Wonders: Planetfall Deluxe edition
  • Age of Wonders: Planetfall Premium edition
  • Hearts of Iron IV: La Resistance
  • Imperator: Rome - Magna Graecia
  • Europa Universalis IV: Golden Century
  • Crusader Kings II: Holy Fury
  • Surviving Mars: First Colony Edition
  • Stellaris: Synthetic Dawn
  • Age of Wonders III
  • Europa Universalis IV: Cradle of Civilization
  • Victoria 2
  • Europa Universalis IV: Res Publica
  • Hearts of Iron IV: Expansion Pass
  • Divine Wind
  • Hearts of Iron III: Their Finest Hour
  • Hearts of Iron III
  • For the Motherland
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Conquest of Paradise
Will the new launcher be only applied to 1.29 and onwards or the change will also retroaffect the older versions?From what i understand,it's only 1.29 and onwards but i just want to be sure.
Thanks for any replies about this.
 

David.Pinto

Kingdom of Portugal
Mar 4, 2016
31
0
  • Supreme Ruler: Cold War
  • Victoria 2
  • Cities: Skylines
  • Europa Universalis III: Collection
  • Crusader Kings II: Way of Life
  • Pillars of Eternity
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Horse Lords
  • Crusader Kings II: Conclave
  • Stellaris: Galaxy Edition
  • Crusader Kings II: Reapers Due
  • Europa Universalis IV: Rights of Man
  • Tyranny: Archon Edition
  • Tyranny: Archon Edition
  • Tyranny: Gold Edition
  • Stellaris: Digital Anniversary Edition
  • Stellaris: Leviathans Story Pack
  • Cities: Skylines - Natural Disasters
  • Hearts of Iron IV: Together for Victory
  • Crusader Kings II: Monks and Mystics
  • Steel Division: Normandy 44
  • Cities: Skylines - Mass Transit
  • Europa Universalis IV: Mandate of Heaven
  • Steel Division: Normandy 44 Deluxe Edition
  • Crusader Kings Complete
  • BATTLETECH
  • Hearts of Iron IV: Death or Dishonor
  • Tyranny - Bastards Wound
  • Age of Wonders
  • Cities: Skylines - Green Cities
  • Stellaris: Humanoids Species Pack
  • BATTLETECH - Digital Deluxe Edition
  • Cities: Skylines - Parklife Pre-Order
  • Cities: Skylines - Parklife
  • Shadowrun Returns
  • Surviving Mars: First Colony Edition
  • Crusader Kings II: Holy Fury
  • Europa Universalis IV: Golden Century
  • Imperator: Rome Deluxe Edition
  • Age of Wonders: Planetfall
  • Age of Wonders: Planetfall Deluxe edition
  • Age of Wonders: Planetfall Premium edition
  • Stellaris: Lithoids
  • BATTLETECH: Heavy Metal
  • Hearts of Iron III
  • Stellaris: Galaxy Edition
  • Cities: Skylines Deluxe Edition
  • Ship Simulator Extremes
  • Cities in Motion 2
  • Stellaris: Distant Stars
when u going to release the new laucher and this update come with the x64 support already?
 

ChromePoison

Private
May 22, 2017
14
0
  • Crusader Kings II: Charlemagne
  • Crusader Kings II
  • Europa Universalis IV
  • Hearts of Iron III
  • Europa Universalis IV: Cossacks
  • Europa Universalis IV: Golden Century
  • Europa Universalis IV: Mare Nostrum
  • Hearts of Iron IV: Cadet
  • Europa Universalis IV: Rights of Man
  • Europa Universalis IV: Mandate of Heaven
  • Crusader Kings Complete
  • Age of Wonders III
  • Europa Universalis IV: Cradle of Civilization
  • Europa Universalis IV: Rule Britannia
  • Europa Universalis IV: Dharma
  • Shadowrun Returns
  • Crusader Kings II: Holy Fury
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Way of Life
  • Europa Universalis IV: El Dorado
  • Victoria 2
  • Teleglitch: Die More Edition
  • Europa Universalis IV: Res Publica
  • Europa Universalis IV: Wealth of Nations
  • Crusader Kings II: Sons of Abraham
  • Europa Universalis IV: Pre-order
  • Sword of the Stars II
  • Europa Universalis IV: Third Rome
  • Europa Universalis IV: Art of War
  • Crusader Kings II: Sword of Islam
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Legacy of Rome
Will mods that are currently fully compatible with 1.28 and the old launcher need to be reuploaded to Steam, or will there be an option to simply update them to be compatible with 1.29?
 

Zephyrum

Disrespectful disagreer
Apr 3, 2016
1.204
49
forum.paradoxplaza.com
  • Stellaris: Distant Stars
  • Age of Wonders III
  • Europa Universalis IV: Cradle of Civilization
  • Hearts of Iron IV: Expansion Pass
  • Stellaris: Humanoids Species Pack
  • Stellaris: Apocalypse
  • Europa Universalis IV: Rule Britannia
  • Cities: Skylines - Parklife Pre-Order
  • Cities: Skylines - Parklife
  • Hearts of Iron IV: Death or Dishonor
  • Europa Universalis IV: Dharma
  • Shadowrun Returns
  • Crusader Kings II: Holy Fury
  • Imperator: Rome Deluxe Edition
  • Imperator: Rome Sign Up
  • Stellaris: Ancient Relics
  • Stellaris: Lithoids
  • Crusader Kings II: Reapers Due
  • Cities: Skylines
  • Europa Universalis IV: El Dorado
  • Crusader Kings II: Way of Life
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Horse Lords
  • Crusader Kings II: Conclave
  • Stellaris
  • Hearts of Iron IV: Cadet
  • Victoria 2
  • Europa Universalis IV: Rights of Man
  • Tyranny: Archon Edition
  • Stellaris: Digital Anniversary Edition
  • Stellaris: Leviathans Story Pack
  • Hearts of Iron IV: Together for Victory
  • Crusader Kings II: Monks and Mystics
  • Europa Universalis IV: Mandate of Heaven
Current mods will keep working with 1.29 (As long as they are not broken by in game changes we made). No action is required until the mod is updated. Mods uploaded with the new launcher will show up in the 1.28 launcher but will not work (Clicking on them has no effect).
I'm confused, is this only for mods uploaded to Steam? Do local folders still work as before?
 

Zer00

Second Lieutenant
Sep 2, 2005
138
34
  • Victoria: Revolutions
  • Hearts of Iron III
  • Hearts of Iron III: Their Finest Hour
  • Heir to the Throne
  • Europa Universalis III Complete
  • Iron Cross
  • Knights of Pen and Paper +1 Edition
  • Magicka
  • Majesty 2 Collection
  • March of the Eagles
  • Europa Universalis III Complete
  • Naval War: Arctic Circle
  • Europa Universalis IV: Res Publica
  • For the Motherland
  • Europa Universalis: Rome
  • Semper Fi
  • Sengoku
  • Sword of the Stars
  • Sword of the Stars II
  • Supreme Ruler 2020
  • Supreme Ruler: Cold War
  • Teleglitch: Die More Edition
  • Victoria 2
  • Victoria 2: A House Divided
  • Rome: Vae Victis
  • Imperator: Rome Sign Up
  • Crusader Kings II: Sword of Islam
  • Arsenal of Democracy
  • Hearts of Iron II: Armageddon
  • Cities in Motion
  • Cities in Motion 2
  • Crusader Kings II
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • Hearts of Iron Anthology
  • Deus Vult
  • East India Company Collection
  • Europa Universalis III
  • Europa Universalis III Complete
  • Divine Wind
  • Europa Universalis IV
  • Europa Universalis IV: Art of War
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Call to arms event
Does the launcher actually work on Linux this time around? It's been broken since launch for Imperator despite multiple bug reports and posts in the corresponding technical support subforum.
 

KassieJerboa

Private
Mar 5, 2015
24
0
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Jade Dragon
  • Europa Universalis IV: Third Rome
  • Cities: Skylines - Snowfall
  • Cities: Skylines - After Dark
  • Europa Universalis IV: Pre-order
  • Victoria 2: A House Divided
  • Semper Fi
  • Europa Universalis IV: Res Publica
  • Hearts of Iron III: Their Finest Hour
  • Hearts of Iron III
  • For the Motherland
  • Europa Universalis IV: Call to arms event
  • Europa Universalis IV: Conquest of Paradise
  • Crusader Kings II
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • Europa Universalis IV
  • Europa Universalis IV: Art of War
  • Europa Universalis III
  • Crusader Kings II: Sword of Islam
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Rule Britannia
  • Cities: Skylines - Green Cities
  • Hearts of Iron IV: Death or Dishonor
  • Surviving Mars
  • BATTLETECH
  • Victoria 2
  • Hearts of Iron IV: Expansion Pass
  • Europa Universalis IV: Mandate of Heaven
  • Cities: Skylines - Mass Transit
  • Crusader Kings II: Monks and Mystics
  • Hearts of Iron IV: Together for Victory
  • Cities: Skylines - Natural Disasters
  • Europa Universalis IV: Rights of Man
  • Crusader Kings II: Reapers Due
  • Hearts of Iron IV: Cadet
  • Hearts of Iron IV: Expansion Pass
  • Cities: Skylines - Parklife Pre-Order
  • Crusader Kings II: Conclave
  • Cities: Skylines - Parklife
  • Crusader Kings II: Horse Lords
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Way of Life
  • Europa Universalis IV: El Dorado
  • Cities: Skylines
Will the launcher now support more than 50 subscribed steam mods? That has been my main issue with the old one.
 

mikesc

Programmer - EU4
Aug 4, 2013
32
0
  • Stellaris
  • Hearts of Iron IV Sign-up
Does the "--skiplauncher" command work when launching the game?
"--skiplauncher" no longer exists, but starting the game directly without arguments will have the same effect since the launcher is now a separate executable.

Will mods that are currently fully compatible with 1.28 and the old launcher need to be reuploaded to Steam, or will there be an option to simply update them to be compatible with 1.29?
If you want to change "supported_version" you need to reupload in the new format, if "supported_version" is not set there is no update necessary, it will just work.

I'm confused, is this only for mods uploaded to Steam? Do local folders still work as before?
Local mods will work just like before.
 

Zephyrum

Disrespectful disagreer
Apr 3, 2016
1.204
49
forum.paradoxplaza.com
  • Stellaris: Distant Stars
  • Age of Wonders III
  • Europa Universalis IV: Cradle of Civilization
  • Hearts of Iron IV: Expansion Pass
  • Stellaris: Humanoids Species Pack
  • Stellaris: Apocalypse
  • Europa Universalis IV: Rule Britannia
  • Cities: Skylines - Parklife Pre-Order
  • Cities: Skylines - Parklife
  • Hearts of Iron IV: Death or Dishonor
  • Europa Universalis IV: Dharma
  • Shadowrun Returns
  • Crusader Kings II: Holy Fury
  • Imperator: Rome Deluxe Edition
  • Imperator: Rome Sign Up
  • Stellaris: Ancient Relics
  • Stellaris: Lithoids
  • Crusader Kings II: Reapers Due
  • Cities: Skylines
  • Europa Universalis IV: El Dorado
  • Crusader Kings II: Way of Life
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Horse Lords
  • Crusader Kings II: Conclave
  • Stellaris
  • Hearts of Iron IV: Cadet
  • Victoria 2
  • Europa Universalis IV: Rights of Man
  • Tyranny: Archon Edition
  • Stellaris: Digital Anniversary Edition
  • Stellaris: Leviathans Story Pack
  • Hearts of Iron IV: Together for Victory
  • Crusader Kings II: Monks and Mystics
  • Europa Universalis IV: Mandate of Heaven
Local mods will work just like before.
I gather the effective changes are exclusively uploading and downloading from the Workshop, right?

Thanks for the reply, though think it should be more clear that this is largely workshop-related.
 

steveh11

Games Player
Jun 9, 2001
2.388
316
www.asstr.org
  • Cities: Skylines Deluxe Edition
  • Victoria: Revolutions
  • Rome Gold
  • Semper Fi
  • Sengoku
  • Teleglitch: Die More Edition
  • Victoria 2
  • Victoria 2: A House Divided
  • Victoria 2: Heart of Darkness
  • Warlock: Master of the Arcane
  • Warlock 2: The Exiled
  • 500k Club
  • Cities: Skylines
  • Europa Universalis IV: Res Publica
  • Crusader Kings II: Holy Knight (pre-order)
  • Europa Universalis III: Collection
  • Europa Universalis IV: El Dorado
  • Europa Universalis IV: Pre-order
  • Crusader Kings II: Way of Life
  • Pillars of Eternity
  • Europa Universalis IV: Common Sense
  • Crusader Kings II: Horse Lords
  • Paradox Order
  • Cities: Skylines - After Dark
  • Europa Universalis IV: Cossacks
  • Imperator: Rome - Magna Graecia
  • Europa Universalis IV: Art of War
  • Crusader Kings II
  • Crusader Kings II: Charlemagne
  • Crusader Kings II: Legacy of Rome
  • Crusader Kings II: The Old Gods
  • Crusader Kings II: Rajas of India
  • Crusader Kings II: The Republic
  • Crusader Kings II: Sons of Abraham
  • Crusader Kings II: Sunset Invasion
  • Crusader Kings II: Sword of Islam
  • Europa Universalis III
  • Divine Wind
  • Europa Universalis IV
  • Ancient Space
  • Europa Universalis IV: Conquest of Paradise
  • Europa Universalis IV: Wealth of Nations
  • Europa Universalis IV: Call to arms event
  • For the Motherland
  • Hearts of Iron III
  • Hearts of Iron III: Their Finest Hour
  • Hearts of Iron III Collection
  • Heir to the Throne
  • Europa Universalis III Complete
  • March of the Eagles
"--skiplauncher" no longer exists, but starting the game directly without arguments will have the same effect since the launcher is now a separate executable.


If you want to change "supported_version" you need to reupload in the new format, if "supported_version" is not set there is no update necessary, it will just work.


Local mods will work just like before.
I would note that, if you have local mods in your mod directory, do NOT just delete the directory unless you've made a backup first... ;-)